<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name') }} - Money Receipt</title>

    <link rel="preconnect" href="https://fonts.googleapis.com/" crossorigin>
    <link rel="preconnect" href="https://cdn.jsdelivr.net/" crossorigin>
    <link rel="preconnect" href="https://cdnjs.cloudflare.com/" crossorigin>
    <link rel="preconnect" href="https://code.jquery.com/" crossorigin>
    <link rel="dns-prefetch" href="https://fonts.googleapis.com/">
    <link rel="dns-prefetch" href="https://cdn.jsdelivr.net/">
    <link rel="dns-prefetch" href="https://cdnjs.cloudflare.com/">
    <link rel="dns-prefetch" href="https://code.jquery.com/">

    <!-- Fonts and Icons -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Nunito:wght@400;600;700&display=swap">

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.2/dist/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/animate.css@4.1.1/animate.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/jquery-ui-dist@1.12.1/jquery-ui.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/sweetalert2@11.0.19/dist/sweetalert2.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/jquery-timepicker@1.3.3/jquery.timepicker.min.css">
    

    <link rel="stylesheet" href="{{ asset('css/app.css?_=' . rand()) }}">

    <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.0/dist/jquery.min.js"></script>
    <script src="{{ asset('js/dodo-modal.js?_=' . rand()) }}"></script>
    <link rel="stylesheet" href="{{ asset('css/buyer_page.css') }}">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    
</head>

@php

$logo_url = '';

@endphp

<body class="font-sans antialiased min-h-screen bg-gray-100">

    <main class="mt-10">

        <div class="w-11/12 sm:w-3/5 xl:max-w-3xl mx-auto">
            <div id="printArea" class="w-full mx-auto">
                <style>
                    table {
                        border-collapse: collapse;
                    }

                    th,td {
                        border-bottom: 1px solid #cbb6b6;
                    }
                    .h5, h5 {
                        font-size: 1.25rem;
                    }

                    .h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6 {
                        margin-bottom: .5rem;
                        font-weight: 500;
                        line-height: 1.2;
                    }
                    .h-50 {
                        height: 50% !important;
                    }
                </style>
                <header class="mt-6">
                    <p class="text-sm text-right text-gray-800 font-bold leading-tight relative mb-1">
                        Invoice Date : {{date('Y-m-d H:i:s')}}
                    </p>
                    <div class="w-11/12 sm:w-full xl:max-w-3xl mx-auto flex">
                        <div class="w-1/4 sm:w-32 xl:w-28 mx-auto">
                            <img src="{{ asset('img/al-aksha.jpg') }}" class="h-20 xl:h-80 w-auto">
                        </div>
                        
                        <div class="w-1/4 sm:w-32 xl:w-28 mx-auto">
                            <img src="{{ $shop_details->logo_url }}" alt="{{ $logo_url }}" class="h-20 h-auto">
                        </div>
                        
                        

                        <div class="w-2/4 sm:w-32 xl:w-28 mx-auto">
                            <img src="{{ asset('qrcodes/'.$orderManagement->order_id.'.svg') }}" class="h-50 xl:h-80 w-auto">
                        </div>
                    </div>
                    
                    <div class="w-11/12 sm:w-3/5 xl:max-w-3xl mx-auto">
                        
                        <h1 class="text-xl text-center text-gray-800 font-bold leading-tight relative top-1">
                            {{$shop_details->name}}
                        </h1>
                        <p class="text-sm text-center text-gray-800 font-bold leading-tight relative mb-1">
                            {{$shop_details->address}}
                        </p>
                        <p class="text-sm text-center text-gray-800 font-bold leading-tight relative mb-1">
                            Phone (Showroom):  {{$shop_details->phone_showroom}}
                            Phone (Service):  {{$shop_details->phone_service}}
                        </p>
                        <p class="text-sm text-center text-gray-800 font-bold leading-tight relative">
                            E-mail: {{$shop_details->email}}
                        </p>
                    </div>
                    
                    
                   
                </header>
                <x-card.card-default>
                    <x-card.body>
                            <input type="hidden" name="order_id" value="{{$orderManagement->order_id}}">
                            <div id="__confirmOrderStepContentWrapper">

                                <x-section.section>
                                    <x-section.body>
                                        <div class="w-full">
                                            <table class="w-full -mt-1">
                                                <tbody>
                                                    <tr>
                                                        <td class="p-2" style="width:80px">
                                                            <span class="font-bold">
                                                                Name :
                                                            </span>
                                                            {{$orderManagement->customer->customer_name}}
                                                        </td>
                                                        <td class="p-2 text-right" style="width: 97px;">
                                                            <span class="font-bold">
                                                                Cell Phone :
                                                            </span>
                                                            {{$orderManagement->customer->contact_phone}}
                                                        </td>
                                                    </tr>

                                                    <tr>
                                                        <td class="p-2" colspan=2>
                                                            <span class="font-bold">
                                                                Address :
                                                            </span>
                                                            @php
                                                            $present_district = '';
                                                            $present_thana = '';
                                                            $present_postoffice = '';
                                                            $present_postcode = '';
                                                            if(!empty($orderManagement->customer->present_address)){
                                                                $arr_present_address =
                                                                json_decode($orderManagement->customer->present_address);
                                                                $present_district =
                                                                isset($arr_present_address->present_district) ?
                                                                $arr_present_address->present_district : '-';
                                                                $present_thana = isset($arr_present_address->present_thana) ?
                                                                $arr_present_address->present_thana : '-';
                                                                $present_postoffice =
                                                                isset($arr_present_address->present_postoffice) ?
                                                                $arr_present_address->present_postoffice : '-';
                                                                $present_postcode =
                                                                isset($arr_present_address->present_postcode) ?
                                                                $arr_present_address->present_postcode : '-';
                                                            }
                                                            @endphp
                                                            @if(!empty($orderManagement->customer->present_address))
                                                                <span class="font-bold">District : </span>
                                                                {{$present_district}},
                                                                <span class="font-bold">Thana : </span> {{$present_thana}},
                                                                <span class="font-bold">Post Office : </span>
                                                                {{$present_postoffice}},
                                                                <span class="font-bold">Post Code : </span>
                                                                {{$present_postcode}}
                                                            @endif
                                                        </td>

                                                    </tr>


                                                </tbody>
                                            </table>
                                        </div>
                                    </x-section.body>
                                </x-section.section>

                                <x-section.section>
                                    <x-section.body>
                                        <div class="w-full">
                                            <table class="w-full -mt-1">
                                                <thead>
                                                    <tr>
                                                        <th class="p-2 font-bold">
                                                            Details
                                                        </th>
                                                        <th class="p-2 font-bold text-center">
                                                            Price
                                                        </th>
                                                        <th class="p-2 font-bold text-center">
                                                            Quantity
                                                        </th>
                                                        <th class="p-2 font-bold text-right">
                                                            Total
                                                        </th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    @php 
                                                    $arr_qty = array(); 
                                                    $product_price_total = array(); 

                                                    @endphp
                                                    @if($orderManagement->order_management_details)
                                                        @foreach($orderManagement->order_management_details as $item)
                                                        <tr>
                                                            <td class="p-2">
                                                                Part Name : {{$item->product->part_name}}<br/>
                                                                Part No. : {{$item->product->part_no}}
                                                            </td>
                                                            <td class="p-2 text-center">
                                                                {{number_format($item->price,2)}}
                                                            </td>
                                                            <td class="p-2 text-center">
                                                                {{$item->quantity}}
                                                            </td>
                                                            <td class="p-2 font-bold text-right">
                                                                {{number_format($item->price*$item->quantity,2)}}
                                                            </td>
                                                        </tr>
                                                        @php 
                                                        $arr_qty[] = $item->quantity;
                                                        $product_price_total[] = $item->price*$item->quantity;
                                                         
                                                        @endphp
                                                        @endforeach
                                                    @endif

                                                    <tr>
                                                        <td class="p-2 font-bold">
                                                            Total Quantity
                                                        </td>
                                                        <td class="py-2 pr-4 font-bold text-center" colspan=3>
                                                        {{array_sum($arr_qty)}}
                                                        </td>
                                                    </tr>
                                                    
                                                    
                                                </tbody>
                                            </table>
                                        </div>

                                        @if($orderManagement->services_details->count()>0)                        
                                        <div class="w-full mt-5">
                                            <table class="w-full -mt-1">
                                                <thead>
                                                    <tr>
                                                        <th class="p-2 font-bold" colspan=2>
                                                            Services
                                                        </th>
                                                        
                                                        <th class="p-2 font-bold text-right">
                                                            Total
                                                        </th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    @php $arr_qty = array(); @endphp
                                                    
                                                    
                                                        @foreach($orderManagement->services_details as $item)
                                                        <tr>
                                                            <td class="p-2" colspan=2>
                                                                {{$item->service_name}}
                                                            </td>
                                                            
                                                            <td class="p-2 font-bold text-right">
                                                                {{number_format($item->price,2)}}
                                                            </td>
                                                        </tr>
                                                        @php $product_price_total[] = $item->price;  @endphp                                                      
                                                        @endforeach                                                    
                                                </tbody>
                                            </table>
                                        </div>
                                        @endif

                                    </x-section.body>
                                </x-section.section>

                                <x-section.section>
                                    <x-section.body>
                                        <div class="w-full">
                                            <table class="w-full">
                                                <tbody>
                                             
                                                <tr>
                                                    <td class="p-2 font-bold text-left" style="width:150px">
                                                        Sub Total                                                     </td>
                                                    <td class="p-2 text-right font-bold">
                                                        {{number_format(array_sum($product_price_total),2)}}
                                                    </td>
                                                </tr>
                                                @if($orderManagement->total_discount)
                                                    <tr>
                                                        <td class="p-2 font-bold text-left" style="width:150px">
                                                            Discount                                                     </td>
                                                        <td class="p-2 text-right font-bold">
                                                            {{number_format( $orderManagement->total_discount,2)}}
                                                        </td>
                                                    </tr>
                                                @endif

                                                
                                                @php $total_paid_amount = ''; @endphp
                                                @if($manualPaymentSum > 0)
                                                    @php $total_paid_amount = $manualPaymentSum - $manualRefundedSum; @endphp
                                                    
                                                @endif


                                                @if(empty($paymentDetailsOthers) AND $manualPaymentSum == 0)
                                                    @php $total_paid_amount = 0; @endphp
                                                    
                                                @endif

                                        
                                            
                                                @php $total_pending_amount = ''; @endphp
                                                @if($manualPaymentSum > 0)
                                                    @php $total_pending_amount = $orderManagement->in_total - ($manualPaymentSum - $manualRefundedSum); @endphp
                                                @endif

                                            

                                                @if(empty($paymentDetailsOthers) AND $manualPaymentSum == 0)
                                                    @php $total_pending_amount = $orderManagement->in_total; @endphp
                                                @endif

                                        
                                                @if(!empty($manualRefundedSum) AND $manualRefundedSum > 0)
                                                    Refunded Amount : <strong id="refunded_amount">Tk.
                                                    @php $total_pending_amount = $manualRefundedSum; @endphp
                                                
                                                @endif
             
                                                    <tr>
                                                        <td class="p-2 font-bold text-left" style="width:150px">
                                                            Payable Amount 
                                                        </td>
                                                        <td class="p-2 text-right font-bold">
                                                            {{number_format($orderManagement->in_total,2)}}
                                                        </td>
                                                    </tr>

                                                    <tr>
                                                        <td class="p-2 font-bold text-left" style="width:150px">
                                                            Paid
                                                        </td>
                                                        <td class="p-2 text-right font-bold">
                                                        {{number_format($paymentDeatails->amount,2)}}
                                                        </td>
                                                    </tr>
                                                   @if($total_paid_amount>$paymentDeatails->amount)         
                                                        <tr>
                                                            <td class="p-2 font-bold text-left" style="width:150px">
                                                                Total Paid Amount
                                                            </td>
                                                            <td class="p-2 text-right font-bold">
                                                            {{number_format($total_paid_amount,2)}}
                                                            </td>
                                                        </tr>
                                                    @endif

                                                @if(($orderManagement->in_total-$paymentDeatails->amount)>0)       
                                                    <tr>
                                                        <td class="p-2 font-bold text-left" style="width:150px">
                                                            Due
                                                        </td>
                                                        <td class="p-2 text-right font-bold">
                                                        {{number_format(($total_pending_amount),2)}}
                                                        </td>
                                                    </tr>
                                                @endif

                                                <tr>
                                                <td class="p-2 font-bold text-left" style="width:150px">
                                                     In Words
                                                </td>
                                                <td class="p-2 text-right font-bold text-capitalize" style="text-transform: capitalize;">
                                                {{ $money = App\Http\Controllers\SettingController::takaInWord($paymentDeatails->amount);}} Only.
                                                </td>
                                            </tr>
                                            </tbody>
                                            </table>
                                            <br/>
                                            <table class="w-full mt-10">
                                                <tbody>

                                                <tr >
                                                        <td class="p-10 font-bold" style="border:none;">
                                                            
                                                        </td>
                                                    </tr>

                                                    <tr >
                                                        <td class="p-2 font-bold text-right" style="border:none;">
                                                            Authorized Signature
                                                        </td>
                                                    </tr>

                                                
                                                </tbody>
                                            </table>
                                        </div>
                                    </x-section.body>
                                </x-section.section>
                            </div>
                    </x-card.body>
                </x-card.card-default>
            </div>
            
            <div class="pb-3">
                                <div class="flex items-center justify-center gap-1">
                                    <x-button type="submit" color="green"  onclick="printDiv()">
                                        <i class="fa fa-print"></i>
                                        <span class="ml-2">
                                            Print
                                        </span>

                                    </x-button>
                                </div>
                            </div>
        </div>
    </main>


    <footer class="w-full">
        <div class="text-center py-6">
            <span class="text-gray-500">Powered By</span>
            <a href="" target="_blank" class="no-underline hover:underline text-gray-900 font-bold">
                TechCityIT,Bhairab</a>
        </div>
    </footer>

    <script src="https://cdn.jsdelivr.net/npm/jquery-ui-dist@1.12.1/jquery-ui.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11.0.19/dist/sweetalert2.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/jquery-timepicker@1.3.3/jquery.timepicker.min.js"></script>
    

    <!-- Script to print the content of a div -->
    <script>

    function printDiv() {

        
        var myStyle = '<link rel="stylesheet" href="{{ asset('css/app.css?_=' . rand()) }}">'
        var divContents = document.getElementById("printArea").innerHTML;
        var a = window.open('', '', 'height=600, width=900');
        a.document.write('<html>'+myStyle);
        a.document.write('<body >');
        a.document.write(divContents);
        a.document.write('</body></html>');
        a.document.close();
        a.print();
    }
    </script>


</body>

</html>